summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMarcin Juszkiewicz <marcin.juszkiewicz@linaro.org>2013-04-18 09:41:11 +0200
committerMarcin Juszkiewicz <marcin.juszkiewicz@linaro.org>2013-04-18 09:41:11 +0200
commitfe414ccdda51b17f583c18dd8d94aaba54554aaa (patch)
tree2688b20e8f98042755bc22fb2f30fd8edfc32cfd
parent4ae10214aad83c1344aa44e188f305db6f488926 (diff)
OpenEmbedded: added tests for phpinfo and php/mysql
Signed-off-by: Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>
-rw-r--r--openembedded/phpinfo.yaml19
-rw-r--r--openembedded/phpmysql.yaml19
-rwxr-xr-xopenembedded/scripts/phpinfo.sh33
-rwxr-xr-xopenembedded/scripts/phpmysql.sh33
4 files changed, 104 insertions, 0 deletions
diff --git a/openembedded/phpinfo.yaml b/openembedded/phpinfo.yaml
new file mode 100644
index 0000000..ec82a06
--- /dev/null
+++ b/openembedded/phpinfo.yaml
@@ -0,0 +1,19 @@
+metadata:
+ name: phpinfo
+ format: "Lava-Test-Shell Test Definition 1.0"
+ description: "Test for phpinfo() in OE."
+
+install:
+ git-repos:
+ - git://git.linaro.org/qa/test-definitions.git
+
+run:
+ steps:
+ - "cd test-definitions/oe/scripts"
+ - "./phpinfo.sh"
+
+parse:
+ pattern: "^(?P<test_case_id>[a-zA-Z0-9_-]+):\\s(?P<result>\\w+)"
+ fixupdict:
+ PASS: pass
+ FAIL: fail
diff --git a/openembedded/phpmysql.yaml b/openembedded/phpmysql.yaml
new file mode 100644
index 0000000..4c0d517
--- /dev/null
+++ b/openembedded/phpmysql.yaml
@@ -0,0 +1,19 @@
+metadata:
+ name: phpmysql
+ format: "Lava-Test-Shell Test Definition 1.0"
+ description: "Test for php/mysql in OE."
+
+install:
+ git-repos:
+ - git://git.linaro.org/qa/test-definitions.git
+
+run:
+ steps:
+ - "cd test-definitions/oe/scripts"
+ - "./phpmysql.sh"
+
+parse:
+ pattern: "^(?P<test_case_id>[a-zA-Z0-9_-]+):\\s(?P<result>\\w+)"
+ fixupdict:
+ PASS: pass
+ FAIL: fail
diff --git a/openembedded/scripts/phpinfo.sh b/openembedded/scripts/phpinfo.sh
new file mode 100755
index 0000000..43a2731
--- /dev/null
+++ b/openembedded/scripts/phpinfo.sh
@@ -0,0 +1,33 @@
+#!/bin/bash
+#
+# PHP test.
+#
+# Copyright (C) 2013, Linaro Limited.
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+#
+# Author: Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>
+#
+
+wget http://localhost/info.php > phpinfo.log
+
+if [ 0 -eq $? ]
+then
+ echo "phpinfo: pass"
+ exit 0
+else
+ echo "phpinfo: fail"
+ exit 1
+fi
diff --git a/openembedded/scripts/phpmysql.sh b/openembedded/scripts/phpmysql.sh
new file mode 100755
index 0000000..6d40b45
--- /dev/null
+++ b/openembedded/scripts/phpmysql.sh
@@ -0,0 +1,33 @@
+#!/bin/bash
+#
+# PHP test.
+#
+# Copyright (C) 2013, Linaro Limited.
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+#
+# Author: Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>
+#
+
+wget http://localhost/mysql.php > phpmysql.log
+
+if [ 0 -eq $? ]
+then
+ echo "phpmysql: pass"
+ exit 0
+else
+ echo "phpmysql: fail"
+ exit 1
+fi